// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import  ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'


import Vue from 'vue'
import App from './App'

import router from './router'

import VideoPlayer from 'vue-video-player'
require('video.js/dist/video-js.css')
require('vue-video-player/src/custom-theme.css')

// fade/zoom 等
import 'element-ui/lib/theme-chalk/base.css';
// collapse 展开折叠
import CollapseTransition from 'element-ui/lib/transitions/collapse-transition';

import utils from '@/utils/utils'


Vue.prototype.utils = utils

import mandMobile from 'mand-mobile'
import 'mand-mobile/lib/mand-mobile.css'
import '../src/css/appCss.css'
import store from './store/'
import axios from 'axios'

Vue.component(CollapseTransition.name, CollapseTransition)
Vue.config.productionTip = false
Vue.prototype.$axios = axios

Vue.use(mandMobile)

Vue.use(ElementUI)
Vue.use(VideoPlayer)
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,//使用store
  components: {App},
  template: '<App/>'
})
